<?php
/**
 * @copyright 	&copy; 2005-2019 PHPBoost
 * @license 	https://www.gnu.org/licenses/gpl-3.0.html GNU/GPL-3.0
 * @author      Loic ROUCHON <horn@phpboost.com>
 * @version   	PHPBoost 5.2 - last update: 2018 12 19
 * @since   	PHPBoost 3.0 - 2010 10 16
 * @contributor Julien BRISWALTER <j1.seth@phpboost.com>
 * @contributor Arnaud GENET <elenwii@phpboost.com>
*/

class ForumUserExtensionPoint implements UserExtensionPoint
{
	/**
	 * {@inheritDoc}
	 */
	public function get_messages_list_url($user_id)
	{
		return Url::to_rel('/forum/membermsg.php?id=' . $user_id);
	}

	/**
	 * {@inheritDoc}
	 */
	public function get_messages_list_link_name()
	{
		return LangLoader::get_message('forum.messages', 'common', 'forum');
	}

	/**
	 * {@inheritDoc}
	 */
	public function get_messages_list_link_img()
	{
		return 'fa fa-globe';
	}

	/**
	 * {@inheritDoc}
	 */
	public function get_number_messages($user_id)
	{
		return PersistenceContext::get_querier()->count(PREFIX . 'forum_msg', 'WHERE user_id = :user_id', array('user_id' => $user_id));
	}
}
?>
