<?php













class TextHelper
{
const HTML_NO_PROTECT=false;
const HTML_PROTECT=true;
const ADDSLASHES_FORCE=1;
const ADDSLASHES_NONE=2;









public static function strprotect($var,$html_protect=self::HTML_PROTECT,$addslashes=self::ADDSLASHES_FORCE)
{
$var=trim((string)$var);


if($html_protect)
{
$var=self::htmlspecialchars($var);

$var=preg_replace('`&amp;((?:#[0-9]{2,5})|(?:[a-z0-9]{2,8}));`iu',"&$1;",$var);
}

switch($addslashes)
{
case self::ADDSLASHES_FORCE:
default:

$var=addslashes($var);
break;
case self::ADDSLASHES_NONE:

$var=stripslashes($var);
break;
}

return $var;
}










public static function wordwrap_html($str,$lenght,$cut_char='<br />',$cut=true)
{
$str=self::utf8_wordwrap(self::html_entity_decode($str),$lenght,$cut_char,$cut);
return str_replace('&lt;br /&gt;','<br />',self::htmlspecialchars($str,ENT_NOQUOTES));
}











public static function substr_html($str,$start,$end='')
{
if($end=='')
return self::htmlspecialchars(self::substr(self::html_entity_decode($str),$start),ENT_NOQUOTES);
else
return self::htmlspecialchars(self::substr(self::html_entity_decode($str),$start,$end),ENT_NOQUOTES);
}







public static function cut_string($string,$length)
{
if(strlen($string)<=$length)
return $string;

$str=mb_substr(str_replace('<br />','<br/>',$string),0,$length+1,'UTF-8');
return substr($str,0,strrpos($str,' ')).'...';
}







public static function to_js_string($string,$add_quotes=true)
{
$bounds=$add_quotes?'\'':'';
return $bounds.str_replace(array("\r\n","\r","\n",'"'),array('\n','\n','\n','&quot;'),addcslashes($string,'\'')).$bounds;
}







public static function to_json_string($string,$add_quotes=true)
{
$bounds=$add_quotes?'"':'';
return $bounds.str_replace(array("\r\n","\r","\n",),array('\n','\n','\n',),addcslashes($string,'"')).$bounds;
}

public static function htmlspecialchars($string,$flags=null,$encoding='UTF-8',$double_encode=true)
{
if($flags===null)
$flags=ENT_COMPAT;

return str_replace('&amp;','&',htmlspecialchars($string,$flags,$encoding,$double_encode));
}

public static function htmlspecialchars_decode($string,$flags=null)
{
if($flags===null)
$flags=ENT_COMPAT;

return htmlspecialchars_decode($string,$flags);
}

public static function html_entity_decode($string,$flags=null,$encoding='UTF-8')
{
if($flags===null)
$flags=ENT_COMPAT;

return html_entity_decode($string,$flags,$encoding);
}

public static function strtolower($string)
{
return mb_strtolower($string);
}

public static function strtoupper($string)
{
return mb_strtoupper($string);
}

public static function lcfirst($string)
{
$fc=mb_strtolower(mb_substr($string,0,1));
return $fc.mb_substr($string,1);
}

public static function ucfirst($string)
{
$fc=mb_strtoupper(mb_substr($string,0,1));
return $fc.mb_substr($string,1);
}

public static function strlen($string)
{
return strlen($string);
}

public static function strpos($string,$substring,$offset='')
{
if(!empty($substring))
{
if(is_int($offset))
return mb_strpos($string,$substring,$offset);
else
return mb_strpos($string,$substring);
}
return false;
}

public static function stripos($string,$substring,$offset='')
{
if(!empty($substring))
{
if(is_int($offset))
return mb_stripos($string,$substring,$offset);
else
return mb_stripos($string,$substring);
}
return false;
}

public static function substr($string,$start,$length='')
{
if(is_int($length))
return substr($string,$start,$length);
else
return substr($string,$start);
}

public static function mb_substr($string,$start,$length='')
{
if(is_int($length))
return mb_substr($string,$start,$length);
else
return mb_substr($string,$start);
}

public static function strrchr($string,$needle)
{
return mb_strrchr($string,$needle);
}

public static function strripos($string,$needle,$offset='')
{
if(is_int($offset))
return mb_strripos($string,$needle,$offset);
else
return mb_strripos($string,$needle);
}

public static function strrpos($string,$needle,$offset='')
{
if(is_int($offset))
return mb_strrpos($string,$needle,$offset);
else
return mb_strrpos($string,$needle);
}

public static function strstr($string,$needle,$before_needle='')
{
if(is_int($before_needle))
return mb_strstr($string,$needle,$before_needle);
else
return mb_strstr($string,$needle);
}

public static function substr_count($string,$needle,$encoding='')
{
if($encoding!='')
return mb_substr_count($string,$needle,$encoding);
else
return mb_substr_count($string,$needle);
}

public static function convert_case($string,$mode,$encoding='')
{
if($encoding!='')
return mb_convert_case($string,$mode,$encoding);
else
return mb_convert_case($string,$mode);
}

public static function serialize($string)
{
return serialize($string);
}

public static function serialize_base64($string)
{
return base64_encode(self::serialize($string));
}

public static function unserialize($string)
{
return unserialize(self::is_base64($string)?base64_decode($string):$string);
}

public static function mb_unserialize($string)
{
$string=preg_replace_callback('!s:(\d+):"(.*?)";!s',function($matches){
if(isset($matches[2]))return 's:'.strlen($matches[2]).':"'.$matches[2].'";';
},$string
);
return unserialize($string);
}

private static function is_base64($string)
{
$decoded=base64_decode($string,true);
return preg_match('/^[a-zA-Z0-9\/\r\n+]*={0,2}$/',$string)&&false!==$decoded&&base64_encode($decoded)==$string;
}








public static function check_nbr_links($contents,$max_nbr,$has_html_links=false)
{
if($max_nbr==-1)
return true;

if($has_html_links)
$nbr_link=preg_match_all('`<a href="(?:ftp|https?)://`u',$contents,$array);
else
$nbr_link=preg_match_all('`(?:ftp|https?)://`u',$contents,$array);

if($nbr_link!==false&&$nbr_link>$max_nbr)
return false;

return true;
}










public static function utf8_wordwrap($string,$width=75,$break="\n",$cut=true)
{
$lines=array();
while(!empty($string))
{

if(preg_match('%^(.{1,'.$width.'})(?:\s|$)%u',$string,$matches))
{

$lines[]=$matches[1];
$string=self::substr($string,self::strlen($matches[0]));
}

else
{
$lines[]=self::substr($string,0,$width);
$string=self::substr($string,$width);
}
}
return implode($break,$lines);
}
}

?>
